# -*- buffer-read-only: t -*- vi: set ro:
# DO NOT EDIT! GENERATED AUTOMATICALLY!

AC_DEFUN([gamma_MODCONFIG],[
AC_SUBST([GAMMA_LIB_LIST])
AC_SUBST([GAMMA_INSTALL_HOOKS])
#
# Configuration for expat
#
AC_ARG_ENABLE([expat],
  AC_HELP_STRING([--disable-expat],
                 [disable expat]),
  [gamma_expat=$enableval],[gamma_expat=yes])
if test $gamma_expat = yes; then
  
  AC_SUBST([EXPAT_LIBS])
  AC_SUBST([EXPAT_INCS])
  AC_ARG_WITH(expat,
              AC_HELP_STRING([--with-expat=PATH],
                             [set path to the expat installation root directory]),
              [case $withval in
  	     /*) if test -d $withval; then
  	           if test -d $withval/lib; then
  		     EXPAT_LIBS="-L$withval/lib"
  		   else
  		     AC_MSG_ERROR([directory $withval/lib does not exist])
  		   fi
  		   if test -d $withval/include; then
  		     EXPAT_INCS="-I$withval/includes"
  		   else
  		     AC_MSG_ERROR([directory $withval/includes does not exist])
  		   fi
  		 else
  		   AC_MSG_ERROR([directory $withval does not exist])
  		 fi
  		 ;;
  	     *)  AC_MSG_ERROR([--with-expat argument must be a pathname to the expat installation root directory]);;
  	     esac])
  
  MU_CHECK_LIB([expat], [XML_ParserCreate], [$EXPAT_LIBS],
               [ EXPAT_LIBS="$EXPAT_LIBS -lexpat" ],
               [ gamma_expat=no ])
  
fi
if test $gamma_expat = yes; then
  GAMMA_LIB_LIST="$GAMMA_LIB_LIST libgamma-expat.la"
  GAMMA_INSTALL_HOOKS="$GAMMA_INSTALL_HOOKS install-expat-hook"
fi
#
# Configuration for sql
#
AC_ARG_ENABLE([sql],
  AC_HELP_STRING([--disable-sql],
                 [disable sql]),
  [gamma_sql=$enableval],[gamma_sql=yes])
if test $gamma_sql = yes; then
  MYSQL=yes
  PGSQL=yes
  
  AC_ARG_WITH([mysql],
              AC_HELP_STRING([--without-mysql],
                             [configure to work without MySQL]),
              [MYSQL=$withval])
  AC_ARG_WITH([postgres],
              AC_HELP_STRING([--without-postgres],
                             [configure to work without Postgres]),
              [PGSQL=$withval])
  
  AC_SUBST([SQLLIBS])
  AC_SUBST([SQLOBJS])
  # Check individual libraries
  if test $MYSQL = yes; then
    MU_CHECK_LIB([mysqlclient], [mysql_real_connect], [-lm],
                 [ AC_DEFINE([USE_SQL_MYSQL],1,
                             [Define this if you are going to use MySQL])
                   AC_DEFINE([HAVE_LIBMYSQL],1,
                             [Define this if you have mysqlclient library])
  	         SQLOBJS="$SQLOBJS mysql$U.lo"
                   SQLLIBS="$SQLLIBS $mu_cv_lib_mysqlclient" ],
                 [ MYSQL=no ],
                 [/usr/local/lib/mysql /usr/lib/mysql])
  fi
  if test $PGSQL = yes; then
    MU_CHECK_LIB([pq], [PQconnectStart], [],
                 [ AC_DEFINE([USE_SQL_PGSQL],1,
                             [Define this if you are going to use PostgreSQL])
                   AC_DEFINE([HAVE_LIBPQ],1,
                             [Define this if you have libp])
  	         SQLOBJS="$SQLOBJS pgsql$U.lo"
                   SQLLIBS="$SQLLIBS $mu_cv_lib_pq" ],
                 [ PGSQL=no ],
                 [/usr/local/pgsql/lib /usr/pgsql/lib])
  fi
  
  if test ${MYSQL}${PGSQL} = nono; then
    gamma_sql=no
  fi
  
fi
if test $gamma_sql = yes; then
  GAMMA_LIB_LIST="$GAMMA_LIB_LIST libgamma-sql.la"
  GAMMA_INSTALL_HOOKS="$GAMMA_INSTALL_HOOKS install-sql-hook"
fi
#
# Configuration for syslog
#
AC_ARG_ENABLE([syslog],
  AC_HELP_STRING([--disable-syslog],
                 [disable syslog]),
  [gamma_syslog=$enableval],[gamma_syslog=yes])
if test $gamma_syslog = yes; then
  GAMMA_LIB_LIST="$GAMMA_LIB_LIST libgamma-syslog.la"
  GAMMA_INSTALL_HOOKS="$GAMMA_INSTALL_HOOKS install-syslog-hook"
fi
])
